Subject: [mobile-ip] MN that accepts Home Address Allocation

From: Sivasundar Ramamurthy <[email-masked]>
Date: Tue, 1 Oct 2002 14:37:24 -0700 (PDT)

Hello,

I was wondering if there are any MN implementations available that can
learn its home address allocated in registration replies forwarded by
the FA in accordance to 3.7.2.3 in RFC 3220? Per this section, the FA
sets the IP dest of the forwarded reply to the home address in the
reply received from the HA (the allocated nonzero address).

Thanks in advance.

Regards,

Siva

---

From: "Ahmad Muhanna" <[email-masked]>
Date: Wed, 2 Oct 2002 13:54:53 -0500

Hi Siva,
Please see my comments inline.

Regards;
Ahmad Muhanna

> 
> But if the MN requests a home address (0.0.0.0 in RRQ), and 
> the home address in RRP from the HA does contain an allocated 
> address (not 0.0.0.0), then the FA forwards the reply to IP 
> dest = allocated address. (disagree!).
> 
> This is from my interpration of this specific sentence, in 
> the context of the paragraph it is contained in (attached below).
> 
> >                Otherwise, if the Registration
> >                Reply is received from the Home Agent, and contains a
> >                Home Address which is not 0.0.0.0, then the IP
> >                Destination Address is copied from the Home Address field
> >                of the Registration Reply.
> 
> 
> Am I going wrong somewhere?

Well, sometimes optimization and using the least text possible to describe
certain behavior is not an easy task. However, I interpret the whole thing
as follows:

The first sentence address the case when FA receives a RRQ message with
static Home Address
and this RRQ causes the FA to generate a Registration Reply message with a
certain error code. 
Then as we agreed, FA sends the RRP to the Home address included in the RRQ.

Now: the second otherwise in the second sentence, means to me the following:
If we have the same scenario BUT now the Rejection comes from the HA not the
FA.
This means the FA will receive a RRP message with error code and definitely
the
Home Address field as per RFC3344 contains the static IP address which was
in the 
Home Address field of the RRQ message. In this case too, FA forwards the RRP
message
to the Home Address in the RRP which assumed to be the same as the one in
the RRQ message.

Finally: the last sentence otherwise: means to me:
That in all other scenarios other than the two mentioned above, FA forwards
the
RRP message to the BROADCAST IP Address. This include successful scenarios
coming 
from the HA when the MN request Home Address of 0.0.0.0. in the RRQ message
too.

I hope this helps.